// miniprogram/pages/confirm-order/confirm-order.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    order:null,
    getFoodTimeList:[
      {name:'现在取餐',value:0,checked:true},
      { name: '10分钟后到店', value: 10 },
      { name: '20分钟后到店', value: 20},
      { name: '30分钟后到店', value: 30 },
    ],
    getFoodWayList:[
      { name: '堂食', value: 1, checked: true },
      { name: '外带', value: 2 },
    ]
  },

  onPay(){
    //todo 调取微信支付

    // 无论成功与否，跳转到订单详情
    wx.navigateTo({
      url: '../order-detail/order-detail',
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    const cart = wx.getStorageSync('cart');
    const shopInfo = wx.getStorageSync('shopInfo');
    this.order = {
      foodList: cart.foodList,
      order_total_price: cart.cart_price,
    }
    this.setData({
      shopInfo,
      order: this.order,
      total_count: cart.cart_count
    })
  },
  formSubmit(e){
    console.log(e);
    var value =e.detail.value;
    if (!value.phone){
      wx.showToast({
        title: '请填写订餐电话',
        icon:'warn'
      })
      return;
    }
    var params = {
      ...this.order,
      ...value
    }
    console.log(params);
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})